Debian Bug report logs - #660034
transition: libvpx

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: slomo@debian.org

Date: Wed, 15 Feb 2012 22:06:09 UTC

Severity: normal

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, slomo@debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660034; Package release.debian.org. (Wed, 15 Feb 2012 22:06:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to slomo@debian.org, Debian Release Team <debian-release@lists.debian.org>. (Wed, 15 Feb 2012 22:06:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: libvpx
Date: Wed, 15 Feb 2012 23:04:08 +0100
Package: release.debian.org
Severity: normal
Tags: pending
User: release.debian.org@packages.debian.org
Usertags: transition

Hi,

this transition was started by the libvpx upload to unstable replacing
libvpx0 with libvpx1, without any coordination AFAICT:
  http://packages.qa.debian.org/libv/libvpx/news/20120202T163438Z.html

I set up a tracker accordingly:
  http://release.debian.org/transitions/html/libvpx.html

Since this interferes with x264, I'm taking the liberty of 0-day NMUing
it to fix #658453, so that packages involved in the x264 transition can
migrate faster.

BinNMUs for other packages will be needed, too.

I'll fix the submitter address once I have the bug number.

Mraw,
KiBi.




Changed Bug submitter to 'slomo@debian.org' from 'Cyril Brulebois <kibi@debian.org>' Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Wed, 15 Feb 2012 23:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660034; Package release.debian.org. (Thu, 16 Feb 2012 07:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Marillat <marillat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 16 Feb 2012 07:24:03 GMT) Full text and rfc822 format available.

Message #12 received at 660034@bugs.debian.org (full text, mbox):

From: Christian Marillat <marillat@debian.org>
To: release.debian.org@packages.debian.org
Cc: 660034@bugs.debian.org
Subject: Re: Bug#660034: transition: libvpx
Date: Thu, 16 Feb 2012 08:22:03 +0100
Cyril Brulebois <kibi@debian.org> writes:

> Package: release.debian.org
> Severity: normal
> Tags: pending
> User: release.debian.org@packages.debian.org
> Usertags: transition
>
> Hi,
>
> this transition was started by the libvpx upload to unstable replacing
> libvpx0 with libvpx1, without any coordination AFAICT:
>   http://packages.qa.debian.org/libv/libvpx/news/20120202T163438Z.html
>
> I set up a tracker accordingly:
>   http://release.debian.org/transitions/html/libvpx.html
>
> Since this interferes with x264, I'm taking the liberty of 0-day NMUing
> it to fix #658453, so that packages involved in the x264 transition can
> migrate faster.

x264 don't need libvpx.

Christian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660034; Package release.debian.org. (Thu, 16 Feb 2012 07:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 16 Feb 2012 07:45:10 GMT) Full text and rfc822 format available.

Message #17 received at 660034@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Christian Marillat <marillat@debian.org>, 660034@bugs.debian.org
Subject: Re: Bug#660034: transition: libvpx
Date: Thu, 16 Feb 2012 07:29:52 +0000
On Thu, 2012-02-16 at 08:22 +0100, Christian Marillat wrote:
> Cyril Brulebois <kibi@debian.org> writes:
> > this transition was started by the libvpx upload to unstable replacing
> > libvpx0 with libvpx1, without any coordination AFAICT:
> >   http://packages.qa.debian.org/libv/libvpx/news/20120202T163438Z.html
> >
> > I set up a tracker accordingly:
> >   http://release.debian.org/transitions/html/libvpx.html
> >
> > Since this interferes with x264, I'm taking the liberty of 0-day NMUing
> > it to fix #658453, so that packages involved in the x264 transition can
> > migrate faster.
> 
> x264 don't need libvpx.

libav does, and is part of the x264 transition.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660034; Package release.debian.org. (Thu, 16 Feb 2012 09:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 16 Feb 2012 09:33:21 GMT) Full text and rfc822 format available.

Message #22 received at 660034@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 660034@bugs.debian.org
Cc: Sebastian Dröge <slomo@debian.org>, chromium-browser@packages.debian.org, gst-plugins-bad0.10@packages.debian.org, icedove@packages.debian.org, sludge@packages.debian.org
Subject: Re: Bug#660034: transition: libvpx
Date: Thu, 16 Feb 2012 10:30:24 +0100
[Message part 1 (text/plain, inline)]
Cyril Brulebois <kibi@debian.org> (15/02/2012):
> I set up a tracker accordingly:
>   http://release.debian.org/transitions/html/libvpx.html
> 
> Since this interferes with x264, I'm taking the liberty of 0-day NMUing
> it to fix #658453, so that packages involved in the x264 transition can
> migrate faster.
> 
> BinNMUs for other packages will be needed, too.

libvpx being built and installed everywhere, I've just scheduled binNMUs
for the following packages: chromium-browser gst-plugins-bad0.10 icedove
sludge.

Hopefully the libvpx+x264 transitions will be ready in a few days. It
would be nice if the maintainers of the above-mentioned packages could
avoid uploading new versions in the meanwhile.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660034; Package release.debian.org. (Thu, 16 Feb 2012 23:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 16 Feb 2012 23:15:03 GMT) Full text and rfc822 format available.

Message #27 received at 660034@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 660034@bugs.debian.org
Cc: Sebastian Dröge <slomo@debian.org>, chromium-browser@packages.debian.org, gst-plugins-bad0.10@packages.debian.org, icedove@packages.debian.org, sludge@packages.debian.org
Subject: Re: Bug#660034: transition: libvpx
Date: Fri, 17 Feb 2012 00:11:56 +0100
[Message part 1 (text/plain, inline)]
Cyril Brulebois <kibi@debian.org> (16/02/2012):
> libvpx being built and installed everywhere, I've just scheduled binNMUs
> for the following packages: chromium-browser gst-plugins-bad0.10 icedove
> sludge.

chromium has #660159 so the binNMUs were useless. I've just pinged
ftpmasters so that libvpx gets decrufted (ie. libvpx0 goes away). Baring
chromium's uninstallability in sid, migration should happen. And libvpx0
will be kept in testing until chromium is fixed in sid and migrates.

> Hopefully the libvpx+x264 transitions will be ready in a few days. It
> would be nice if the maintainers of the above-mentioned packages could
> avoid uploading new versions in the meanwhile.

That still holds. Thanks again.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660034; Package release.debian.org. (Sun, 19 Feb 2012 22:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <iuculano@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 19 Feb 2012 22:51:03 GMT) Full text and rfc822 format available.

Message #32 received at 660034@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: 660034@bugs.debian.org, Sebastian Dröge <slomo@debian.org>, chromium-browser@packages.debian.org, gst-plugins-bad0.10@packages.debian.org, icedove@packages.debian.org, sludge@packages.debian.org
Subject: Re: Bug#660034: transition: libvpx
Date: Sun, 19 Feb 2012 23:47:27 +0100
[Message part 1 (text/plain, inline)]
On 17/02/2012 00:11, Cyril Brulebois wrote:
> chromium has #660159 so the binNMUs were useless. I've just pinged
> ftpmasters so that libvpx gets decrufted (ie. libvpx0 goes away). Baring
> chromium's uninstallability in sid, migration should happen. And libvpx0
> will be kept in testing until chromium is fixed in sid and migrates.

I've uploaded chromium 17 and fixed #660159.


Cheers,
Giuseppe.

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Sat, 03 Mar 2012 10:59:11 GMT) Full text and rfc822 format available.

Notification sent to slomo@debian.org:
Bug acknowledged by developer. (Sat, 03 Mar 2012 10:59:53 GMT) Full text and rfc822 format available.

Message #37 received at 660034-done@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 660034-done@bugs.debian.org
Subject: Re: Bug#660034: transition: libvpx
Date: Sat, 3 Mar 2012 11:53:19 +0100
[Message part 1 (text/plain, inline)]
Cyril Brulebois <kibi@debian.org> (15/02/2012):
> this transition was started by the libvpx upload to unstable replacing
> libvpx0 with libvpx1, without any coordination AFAICT:
>   http://packages.qa.debian.org/libv/libvpx/news/20120202T163438Z.html

libvpx0 is finally gone from testing.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Apr 2012 07:40:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:09:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.